# Save 2FA config

This function configures the two-factor authentication settings for an account.

Endpoint: GET /TwoFactorAuth/set_user_configuration
Version: 11.138.0.19
Security: BasicAuth

## Query parameters:

  - `secret` (string, required)
    The 16-character string that UAPI's TwoFactorAuth::generate_user_configuration function generates.
    Example: "JBSWY3DPEHPK3PXP"

  - `tfa_token` (integer, required)
    The six-digit security code that the time-based one-time password (TOTP) authentication app generates.
    Example: 528112

## Response 200 fields (application/json):

  - `apiversion` (integer)
    The version of the API.
    Example: 3

  - `func` (string)
    The name of the method called.
    Example: "set_user_configuration"

  - `module` (string)
    The name of the module called.
    Example: "TwoFactorAuth"

  - `result` (object)

  - `result.data` (object)

  - `result.data.tfa_configured` (integer)
    Whether two-factor authentication is enabled.
* 1 - Enabled.
* 1 - Disabled.
    Enum: 0, 1

  - `result.errors` (array,null)
    List of errors if the API failed.

  - `result.messages` (array,null)
    List of messages generated by the API.

  - `result.metadata` (object)

  - `result.status` (integer)
    - 1 - Success
- 0 - Failed: Check the errors field for more details.
    Enum: 0, 1

  - `result.warnings` (array,null)
    List of warnings generated by the API. Warnings describe non-critical failures or other problematic conditions noted while running a API.


